import { computed, ref } from "vue";
import { useRoute } from "vue-router";

interface Config {
  baseName?: string;
  collapseLen?: number;
}

export function useDetail(config: Config = {}) {
  const { query } = useRoute();

  const collapses = ref<string[]>([]);

  const id = computed(() => {
    return query.id as string | undefined;
  });

  const label = computed(() => {
    const { baseName } = config;
    return isDetail.value ? `${baseName}详情` : `创建${baseName}`;
  });

  const isDetail = computed(() => {
    return !!id.value;
  });

  if (config.collapseLen) {
    collapses.value = Array(config.collapseLen)
      .fill(0)
      .map((_, index) => String(index + 1));
  }

  return {
    id,
    label,
    isDetail,
    collapses
  };
}
