import { h } from "vue";
import { ElTag } from "element-plus";

export function renderCategory(prop = "can") {
  return {
    cellRenderer({ row }) {
      return row[prop].map(({ name }) => name).join("/");
    }
  };
}

export function renderStatus(options: any[], prop = "status") {
  return {
    cellRenderer({ row }) {
      const item = options.find(s => s.id === String(row[prop]));
      return h(
        ElTag,
        {
          type: item && item.type ? item.type : ""
        },
        {
          default: () => item?.label || "--"
        }
      );
    }
  };
}

export function convertOptions(source: any[], prop = "id") {
  return source.map(item => ({ value: item[prop], label: item.label }));
}
