import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/interest/role";
import { renderStatus } from "/@/utils/column-helper";
import { STATUS_OPTIONS } from "/@/config/status";
import { authOptions } from "./_options";

const columns = [
  {
    type: "selection",
    width: 55,
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    width: 70,
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    prop: "role_name",
    label: "角色名称"
  },
  {
    prop: "level",
    label: "角色等级",
    ...renderStatus(authOptions, "level")
  },

  {
    prop: "addtime",
    label: "创建时间",
    sortable: true
  },
  {
    prop: "status",
    label: "状态",
    ...renderStatus(STATUS_OPTIONS)
  },
  {
    label: "操作",
    fixed: "right",
    width: 60,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "角色管理",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
